package com.vocsy.calculation.world.electricitycalculator;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

//import com.androidstudy.networkmanager.Monitor;
//import com.androidstudy.networkmanager.Tovuti;


import java.util.Locale;

import vocsy.ads.AppUtil;
import vocsy.ads.CustomAdsListener;
import vocsy.ads.ExitScreen;
import vocsy.ads.GoogleAds;

public class StartActivity extends AppCompatActivity {
    private ImageView btnGetStart, btnRateUs, btnPrivacyPolicy, btnShare;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        loadLocale();
        setContentView(R.layout.activity_start);
        GoogleAds.getInstance().admobBanner(this, (LinearLayout) findViewById(R.id.nativeLay));

        SystemConfiguration.setTransparentStatusBar(this, SystemConfiguration.IconColor.ICON_DARK);


        initViews();
    }

    private void initViews() {
        btnGetStart = findViewById(R.id.start2);
        btnRateUs = findViewById(R.id.rate);
        btnPrivacyPolicy = findViewById(R.id.privacy);
        btnShare = findViewById(R.id.share);

        btnGetStart.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                GoogleAds.getInstance().showCounterInterstitialAd(StartActivity.this, new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        startActivity(new Intent(StartActivity.this, Home.class));
                    }
                });
            }
        });
        btnRateUs.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                AppUtil.rateApp(StartActivity.this);
            }
        });
        btnPrivacyPolicy.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                AppUtil.privacyPolicy(StartActivity.this, getString(R.string.privacy_policy_link));
            }
        });
        btnShare.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                AppUtil.shareApp(StartActivity.this);
            }
        });
    }


    @Override
    public void onBackPressed() {
        super.onBackPressed();

        startActivity(new Intent(StartActivity.this, GetStart.class));

    }

    private void setLocale(String str) {
        Locale locale = new Locale(str);
        Locale.setDefault(locale);
        Configuration configuration = new Configuration();
        configuration.locale = locale;
        getBaseContext().getResources().updateConfiguration(configuration, getResources().getDisplayMetrics());
    }

    private void loadLocale() {
        setLocale(getSharedPreferences("Language", 0).getString("lang", "en"));
    }
}