package com.vocsy.calculation.world.electricitycalculator;

import android.annotation.SuppressLint;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.content.res.Configuration;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import java.util.Locale;

/* loaded from: classes2.dex */
public class About extends AppCompatActivity {
    ImageView email;
    ImageView facebook;
    ImageView inta;
    TextView version;
    ImageView whatsapp;
    TextView textName;
    private Intent fb = new Intent();
    private Intent insta = new Intent();
    private Intent twit = new Intent();

    /* JADX INFO: Access modifiers changed from: protected */
    @SuppressLint("MissingInflatedId")
    @Override
    // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        loadLocale();
        setContentView(R.layout.activity_about);
        TextView textView = (TextView) findViewById(R.id.version);
        this.version = textView;
        textView.setText(getString(R.string.app_info) + " " + BuildConfig.VERSION_NAME);
        this.findViewById(R.id.imgBack).setOnClickListener(v -> onBackPressed());
        this.textName = findViewById(R.id.textName);
        this.facebook = (ImageView) findViewById(R.id.img_facebook);
        this.inta = (ImageView) findViewById(R.id.img_insta);
        this.email = (ImageView) findViewById(R.id.img_email);
        this.facebook.setOnClickListener(new View.OnClickListener() { // from class: com.vocsy.calculation.world.electricitycalculator.About.4
            @Override 
            public void onClick(View view) {
                About.this.fb.setAction("android.intent.action.VIEW");
                try {
                    Intent intent = About.this.fb;
                    intent.setData(Uri.parse("fb://profile/" + About.this.getString(R.string.facebook_num_id)));
                    About about = About.this;
                    about.startActivity(about.fb);
                } catch (Exception unused) {
                    About.this.fb.setData(Uri.parse(About.this.getString(R.string.facebook_id)));
                    About about2 = About.this;
                    about2.startActivity(about2.fb);
                }
            }
        });
        this.inta.setOnClickListener(new View.OnClickListener() { // from class: com.vocsy.calculation.world.electricitycalculator.About.5
            @Override 
            public void onClick(View view) {
                Intent intent = new Intent("android.intent.action.VIEW", Uri.parse("http://instagram.com/_u/ranavaya_vijay"));
                intent.setPackage("com.instagram.android");
                try {
                    About.this.startActivity(intent);
                } catch (ActivityNotFoundException unused) {
                    About.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(About.this.getString(R.string.insta_id))));
                }
            }
        });
        this.email.setOnClickListener(new View.OnClickListener() { // from class: com.vocsy.calculation.world.electricitycalculator.About.6
            @Override 
            public void onClick(View view) {
                About.this.sendEmail();
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, android.app.Activity
    public void onBackPressed() {
        super.onBackPressed();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendEmail() {
        Intent intent = new Intent("android.intent.action.SENDTO");
        intent.setData(Uri.parse("mailto:help.liteapps@gmail.com"));
        intent.putExtra("android.intent.extra.SUBJECT", "Help/Feedback Solar Bill Calculator");
        try {
            startActivity(Intent.createChooser(intent, "Send email using..."));
        } catch (ActivityNotFoundException unused) {
            Toast.makeText(this, "No email clients installed.", Toast.LENGTH_SHORT).show();
        }
    }

    private void setLocale(String str) {
        Locale locale = new Locale(str);
        Locale.setDefault(locale);
        Configuration configuration = new Configuration();
        configuration.locale = locale;
        getBaseContext().getResources().updateConfiguration(configuration, getResources().getDisplayMetrics());
    }

    private void loadLocale() {
        setLocale(getSharedPreferences("Language", 0).getString("lang", "en"));
    }
}